## libgphoto2 2.4.10.1

=== debian/changelog ===
libgphoto2 (2.4.10.1-2ubuntu5) natty; urgency=low

  * debian/rules: empty dependency_libs from shipped .la files, per
    Policy 10.2.

 -- Kees Cook <kees@ubuntu.com>  Thu, 24 Mar 2011 15:29:10 -0700

libgphoto2 (2.4.10.1-2ubuntu4) natty; urgency=low

  * debian/libgphoto2-2.install: Drop API docs, they are already shipped in
    the -dev package. These inflated the .deb size by 1.9 MB. While we are at
    it, also drop the linux-hotplug example scripts, this is from a different
    era.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Dec 2010 09:51:47 +0100

libgphoto2 (2.4.10.1-2ubuntu3) natty; urgency=low

  * debian/patches/80_avchd_support.patch: Report .MTS and .M2TS
    files on mass-storage devices as they are AVCHD video streams.
    Patch from upstream svn trunk.

 -- Jani Monoses <jani@ubuntu.com>  Sun, 05 Dec 2010 15:32:10 +0200

libgphoto2 (2.4.10.1-2ubuntu2) natty; urgency=low

  * Drop libhal build dependency, was missed in last merge.

 -- Jani Monoses <jani@ubuntu.com>  Sun, 05 Dec 2010 11:38:08 +0200

libgphoto2 (2.4.10.1-2ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes (LP: #657324):
    - Disabled graphviz from the Build-Dependencies on ARM to prevent
      documentation graphs from building. This prevents an FTBFS caused
      by the buildds choking on running dot. (LP: #567422)

 -- David Paleino <dapal@debian.org>  Mon, 22 Nov 2010 09:37:03 +0100

libgphoto2 (2.4.10.1-2) experimental; urgency=low

  * Fix regressions from 2.4.6-3:
    - set CAMLIBS when generating udev rules
    - generate HAL FDI again

 -- David Paleino <dapal@debian.org>  Fri, 12 Nov 2010 09:52:05 +0100

libgphoto2 (2.4.10.1-1) experimental; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * Drop 80_kfreebsd patch, merged upstream.
  * Fix lintian warnings:
     - debian/libgphoto2-2.postrm: s{/bin/true}{true}.
     - debian/libgphoto2-2.README.Debian: fix typo.
  * Move to dh:
     - Bump debian/compat to 7.
     - Bump debhelper version in B-D to >= 7.0.50 to use overrides.
     - Use a minimal-like debian/rules and overrides to perform the
       various needed tweaks, using the quilt sequence to have patches
       applied/unapplied when appropriate.
     - Switch from dh_movefiles to dh_install.
     - Move moving docs from /u/s/d/libgphoto2{,_port} to the proper
       locations to .install files.
     - Remove all special-cases in the clean rules, the upstream one does
       its job properly.
     - Get rid of the attempt at detecting files that are installed
       nowhere, using the --list-failing dh_install option instead.
     - Following the move to dh, adapt Martin's udev patch using an
       override_dh_installudev rule, but only on Linux architectures for
       now, needed tweaks for other platforms should follow in next
       revisions.

  [ Gürkan Sengün ]
  * Add myself to uploaders.
  * Bump standards version to 3.9.1.
  * Switch to source format 3.0, drop quilt from control and rules.
  * Drop patches:
    - 10_disable_cache (does not apply anymore)
    - 45_increase_canon_timeout (upstream has increased it from 150 to 500)

  [ David Paleino ]
  * debian/rules:
    - fix typo (s,deibian,debian,)
    - simplify override_dh_auto_configure
    - simplify override_dh_gencontrol
  * Added symbols files
  * Drop 01_udev_rules_136, already in upstream sources
  * Remove type-handling dependency in debian/control, use architecture
    wildcards, as defined in Policy. Thanks to Sebastian Andrzej Siewior
    (Closes: #587873)
  * Drop duplicate Section fields in binary stanzas
  * Added ${misc:Depends} where needed
  * Use Breaks instead of versioned Conflicts
  * Added doc-base registration for API docs in libgphoto2-2-dev

 -- David Paleino <dapal@debian.org>  Thu, 11 Nov 2010 19:19:03 +0100

libgphoto2 (2.4.8-0ubuntu2) lucid; urgency=high

  * Disabled graphviz from the Build-Dependencies on ARM to prevent
    documentation graphs from building. This prevents an FTBFS caused
    by the buildds choking on running dot. (LP: #567422)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Tue, 20 Apr 2010 15:25:25 +0000

libgphoto2 (2.4.8-0ubuntu1) lucid; urgency=low

  * New upstream maintenance release, with bug fixes and some new USB IDs for
    new cameras. (LP: #519811)
  * Drop patches accepted upstream (all of them except
    03_udev_rules_media_player have been disabled in the series file long ago)
    - 01_udev_rules_136
    - 02_iphone_fdi
    - 03_udev_rules_media_player
    - 10_disable_cache
    - 11_hurd_no_path_max_bsdsource
    - 45_increase_canon_timeout
    - 80_kfreebsd

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Mar 2010 19:57:00 +0100

libgphoto2 (2.4.7-0ubuntu1) lucid; urgency=low

  * New upstream release (Closes LP: #414949).
  * debian/patches/series: Removed patches that were no longer required:
    - 80_kfreebsd
    - 45_increase_canon_timeout
    - 11_hurd_no_path_max_bsdsource
    - 10_disable_cache
    - 02_iphone_fdi
    - 01_udev_rules_136
  * debian/control: bump standard-versions to 3.8.3

 -- Frank Cheung <fcuk112@gmail.com>  Wed, 18 Nov 2009 09:43:36 +0000

libgphoto2 (2.4.6-3) unstable; urgency=low

  * Merge one more patch by Martin Pitt (thanks!): move HAL FDI
    creation from debian/libgphoto2-2.postinst to debian/rules.
    This avoids problems with half-configured libraries during
    upgrade/installation (LP: #352271, Closes: #531979)
  * Remove old conffiles. We can't use dpkg-maintscript-helper,
    because they were created at install-time and thus not marked
    as conffiles. (Closes: #461397, #511129)
  * Move from /etc/udev/rules.d/ to /lib/udev/rules.d should now
    be complete (Closes: #586668)

 -- David Paleino <dapal@debian.org>  Wed, 10 Nov 2010 10:26:49 +0100

libgphoto2 (2.4.6-2) unstable; urgency=low

  * Merge Ubuntu patches, by Martin Pitt (thanks!):
    - Update Build-Depends: Move from libltdl3-dev to libltdl-dev
      (Closes: #531974).

