=== debian/rules ===
#!/usr/bin/make -f

### This version at least shares the same ABI, used in the dh_makeshlibs calls:
SHLIBS=2.4.3
major=2

### Architecture handling:
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  CONFIGURE_OPTIONS += --without-libusb
endif

### CFLAGS handling:
CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif


### Overrides:
override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" dh_auto_configure -- --with-drivers=all --enable-static $(CONFIGURE_OPTIONS)

override_dh_auto_install:
	LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	# Remove upstream 0-byte files to make lintian happy. Print them first:
	find debian/tmp -size 0 -print
	find debian/tmp -size 0 -delete
	# Remove the COPYING file, debian/copyright is there already:
	find debian/tmp -name COPYING -delete
	# Remove the recursive symlink:
	rm debian/tmp/usr/include/gphoto2/gphoto2

override_dh_install:
	dh_install --list-missing
	# Double-check that and act accordingly:
	-test -e debian/tmp/usr/lib/udev/check-mtp-device && \
		mkdir -p debian/libgphoto2-port0/lib/udev && \
		mv debian/tmp/usr/lib/udev/check-mtp-device \
			debian/libgphoto2-port0/lib/udev/check-mtp-device

	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/libgphoto2/2*` \
		./packaging/generic/print-camera-list hal-fdi > \
		debian/libgphoto2-$(major)/usr/share/hal/fdi/preprobe/10osvendor/20-libgphoto2.fdi
	# Empty dependency_libs from all .la files
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   $$(find debian/libgphoto2-$(major)-dev/usr/lib -name '*.la')

ifeq ($(DEB_HOST_ARCH_OS),linux)
override_dh_installudev:
	# No longer needed with current udev. But check with non-Linux architectures stuff:
	# rm debian/libgphoto2-2/lib/udev/check-ptp-camera
	# Generate the udev file, get it installed, and clean:
	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/libgphoto2/2*` ./packaging/generic/print-camera-list udev-rules version 136 mode 0664 group plugdev > debian/libgphoto2-$(major).udev
	dh_installudev
	rm debian/libgphoto2-$(major).udev
endif

override_dh_fixperms:
	dh_fixperms --exclude usbcam

override_dh_makeshlibs:
	dh_makeshlibs -plibgphoto2-$(major) -V 'libgphoto2-$(major) (>= $(SHLIBS))'
	dh_makeshlibs -plibgphoto2-port0    -V 'libgphoto2-port0    (>= $(SHLIBS))'

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/libgphoto2-$(major)/usr/lib/:debian/libgphoto2-port0/usr/lib/

ifeq (linux,$(DEB_HOST_ARCH_OS))
override_dh_gencontrol:
	dh_gencontrol
	dh_gencontrol -plibgphoto2-$(major) -- -Vudev-hotplug='udev (>= 0.136)'
endif

%:
	dh $@
