## libgphoto2 2.4.11

=== debian/changelog ===
libgphoto2 (2.4.11-3) unstable; urgency=low

  * Add support for GD, by Build-Depending on libgd2-noxpm-dev
    (Closes: #609120)

 -- David Paleino <dapal@debian.org>  Sat, 30 Apr 2011 16:38:30 +0200

libgphoto2 (2.4.11-2) unstable; urgency=low

  * Fix usage of dpkg-maintscript-helper

 -- David Paleino <dapal@debian.org>  Mon, 18 Apr 2011 19:47:38 +0200

libgphoto2 (2.4.11-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
    - Fix unset permissions with the generic PTP rule
      (Closes: #616648, #620941)
  * Fix README.Debian regarding the new udev rules location
    (Closes: #620937)
  * debian/libgphoto2-2.{preinst,postinst,postrm}: properly
    remove old configuration files using dpkg-maintscript-helper
    (Closes: #622569)
  * Patch 80_avchd_support.patch removed, merged upstream
  * Standards-Version bump to 3.9.2, no changes needed

  [ Andreas Metzler ]
  * Stop shipping libtool la files in development package.
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval
    (Closes: #621619)

 -- David Paleino <dapal@debian.org>  Mon, 18 Apr 2011 19:11:01 +0200

libgphoto2 (2.4.10.1-5) unstable; urgency=low

  * Add missing package relationships for the package split
  * Install development documentation into more appropriate place
  * Merge libgphoto2-doc back into libgphoto2-2
  * Add a new libgphoto2-l10n package, recommended by libgphoto2-2,
    to move the localized messages in a Arch:all package
  * Rename libgphoto2-dev back to libgphoto2-2-dev: I'm not really
    in the mood of breaking everything right now :) -- jokes aside,
    it makes more sense to do this when the first SONAME bump happens.
    Thanks Andreas Metzler for discussing this on pkg-phototools' list.
    Also, this didn't touch anyone, since -4 was REJECTED, and has
    never been public.
  * Drop useless Provides/Replaces/Conflicts/Breaks from libgphoto2-2-dev:
    those packages were present in 2004, so no need to still keep those
    relationships there.

 -- David Paleino <dapal@debian.org>  Mon, 28 Feb 2011 17:06:59 +0100

libgphoto2 (2.4.10.1-4) unstable; urgency=low

  * Upload to unstable
  * Removing KiBi from Uploaders, as requested. Thanks for all your
    previous work!
  * HALectomy: remove libhal-dev from Build-Depends, and remove
    HAL FDI generation in debian/rules. (Closes: #580291)
  * Split documentation in other two binary packages: libgphoto2-dev-doc
    and libgphoto2-doc
  * Rename libgphoto2-2-dev to libgphoto2-dev: this will ease SONAME
    transitions through binNMUs.

 -- David Paleino <dapal@debian.org>  Sat, 26 Feb 2011 18:08:38 +0100

libgphoto2 (2.4.10.1-3) experimental; urgency=low

  * Merge from Ubuntu:
    - debian/patches/80_avchd_support.patch: Report .MTS and .M2TS
      files on mass-storage devices as they are AVCHD video streams.
      Patch from upstream svn trunk.
    - debian/libgphoto2-2.install: Drop API docs, they are already
      shipped in the -dev package. Thanks to Martin Pitt
      (Closes: #606944)

 -- David Paleino <dapal@debian.org>  Mon, 13 Dec 2010 11:09:51 +0100
