=== debian/control ===
Source: libgphoto2
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Frederic Peters <fpeters@debian.org>
 , David Paleino <dapal@debian.org>
 , Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends:
 debhelper (>= 7.0.50)
 , libtool
 , libltdl-dev
 , zlib1g-dev
 , libusb-dev (>= 1:0.1.5) [!hurd-i386]
 , libgpmg1-dev [linux-any]
 , pkg-config
 , libexif-dev (>= 0.5.9)
 , libjpeg62-dev
 , doxygen
 , graphviz
 , libdbus-1-dev
 , libgd2-noxpm-dev
Build-Conflicts: liblockdev1-dev
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/libgphoto2.git
Vcs-Git: git://git.debian.org/git/pkg-phototools/libgphoto2.git
Homepage: http://www.gphoto.org/proj/libgphoto2/

Package: libgphoto2-2-dev
Section: libdevel
Architecture: any
Depends:
 libgphoto2-2 (= ${binary:Version})
 , libexif-dev
 , libusb-dev [!hurd-i386]
 , libc-dev
 , pkg-config
 , ${misc:Depends}
Description: gphoto2 digital camera library (development files)
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the development files.

Package: libgphoto2-dev-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: gphoto2 digital camera library (development documentation)
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the development documentation.

Package: libgphoto2-port0
Architecture: any
Provides: libgphoto2port
Replaces: libgphoto2port
Conflicts: libgphoto2port
Breaks: gphoto2 (<= 2.1.1)
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Suggests: gphoto2 (>> 2.1.0), gtkam
Description: gphoto2 digital camera port library
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the runtime code for port access.

Package: libgphoto2-2
Architecture: any
Breaks: gphoto2 (<= 2.1.1)
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , adduser
Recommends: ${udev-hotplug}
 , libgphoto2-l10n (>= ${source:Version})
Suggests: gphoto2 (>= 2.1.1)
Description: gphoto2 digital camera library
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the library.
 .
 The gphoto2 command-line frontend is shipped separately, in the gphoto2
 package.

Package: libgphoto2-l10n
Section: localization
Architecture: all
Breaks: libgphoto2-2 (<= 2.4.10.1-4)
Replaces: libgphoto2-2 (<= 2.4.10.1-4)
Depends: ${misc:Depends}
Description: gphoto2 digital camera library - localized messages
 The gphoto2 library can be used by applications to access various
 digital camera models, via standard protocols such as USB Mass Storage
 and PTP, or vendor-specific protocols.
 .
 This package contains the localized messages for the library.
