## libgphoto2 2.4.13

=== debian/changelog ===
libgphoto2 (2.4.13-1ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/svn_new_devices.patch:
    - backport some new device IDs from SVN for extra hardwares support

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Jul 2012 15:35:22 +0200

libgphoto2 (2.4.13-1ubuntu1.1) precise-proposed; urgency=low

  * Add 85-fix-hang-during-file-download.patch to fix regression introduced
    in v2.4.13 which causes gphoto to hang while downloading from camera.
    (LP: #981062)

 -- Gareth Williams <gareth@garethwilliams.me.uk>  Wed, 11 Jul 2012 20:19:42 +0100

libgphoto2 (2.4.13-1ubuntu1) precise; urgency=low

  * Add 00svn_empty_SID_list.patch: Fix crash when device returns a
    zero-length SID list. Patch taken from upstream SVN head. (LP: #955036)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Mar 2012 14:44:18 +0200

libgphoto2 (2.4.13-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed

 -- David Paleino <dapal@debian.org>  Sun, 26 Feb 2012 18:14:57 +0100

libgphoto2 (2.4.12-1) unstable; urgency=low

  * New upstream version
  * Fix maintainer scripts with the help of dh_installdeb's .maintscript
    support. *MANY* thanks to Colin Watson for the patch (and for
    letting me know about .maintscript). (Closes: #659768)
  * Build-Depend on libgd2-xpm-dev instead of libgd2-noxpm-dev
  * Added proper lintian overrides
  * Add dependency to libjs-jquery to avoid embedding it in libgphoto2-dev-doc
  * Fixed some harmless typos in the source code

 -- David Paleino <dapal@debian.org>  Wed, 22 Feb 2012 19:45:20 +0100

libgphoto2 (2.4.11-4) unstable; urgency=low

  * Acknowledge NMU.
  * Avoid -Wformat-security warnings, thanks to Kees Cook.
  * Multi-Archified package, thanks to Kees Cook and Steve Langasek
    (Closes: #653198)
  * Support (and recommend) udev >= 175 (Closes: #649137)

 -- David Paleino <dapal@debian.org>  Fri, 30 Dec 2011 01:30:11 +0100

libgphoto2 (2.4.11-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch build depend from libjpeg62-dev to libjpeg-dev. (Closes: #635484)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Sep 2011 16:54:07 +0200
