=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libgphoto2
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Frederic Peters <fpeters@debian.org>
  , David Paleino <dapal@debian.org>
  , Gürkan Sengün <gurkan@phys.ethz.ch>
 Build-Depends:
- debhelper (>= 7.0.50)
+ debhelper (>= 8.1.3~)
  , libtool
  , libltdl-dev
  , zlib1g-dev
@@ -14,13 +15,13 @@
  , libgpmg1-dev [linux-any]
  , pkg-config
  , libexif-dev (>= 0.5.9)
- , libjpeg62-dev
+ , libjpeg-dev
  , doxygen
  , graphviz
  , libdbus-1-dev
- , libgd2-noxpm-dev
+ , libgd2-xpm-dev
 Build-Conflicts: liblockdev1-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=pkg-phototools/libgphoto2.git
 Vcs-Git: git://git.debian.org/git/pkg-phototools/libgphoto2.git
 Homepage: http://www.gphoto.org/proj/libgphoto2/
@@ -46,6 +47,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+ , libjs-jquery
 Description: gphoto2 digital camera library (development documentation)
  The gphoto2 library can be used by applications to access various
  digital camera models, via standard protocols such as USB Mass Storage
@@ -55,10 +57,12 @@
 
 Package: libgphoto2-port0
 Architecture: any
+Multi-Arch: same
 Provides: libgphoto2port
 Replaces: libgphoto2port
 Conflicts: libgphoto2port
 Breaks: gphoto2 (<= 2.1.1)
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
@@ -72,7 +76,9 @@
 
 Package: libgphoto2-2
 Architecture: any
+Multi-Arch: same
 Breaks: gphoto2 (<= 2.1.1)
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
@@ -93,6 +99,7 @@
 Package: libgphoto2-l10n
 Section: localization
 Architecture: all
+Multi-Arch: foreign
 Breaks: libgphoto2-2 (<= 2.4.10.1-4)
 Replaces: libgphoto2-2 (<= 2.4.10.1-4)
 Depends: ${misc:Depends}
