=== debian/rules ===
--- 
+++ 
@@ -10,21 +10,11 @@
   CONFIGURE_OPTIONS += --without-libusb
 endif
 
-### CFLAGS handling:
-CFLAGS = -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
-else
-    CFLAGS += -O2
-endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-    INSTALL_PROGRAM += -s
-endif
-
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ### Overrides:
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS)" dh_auto_configure -- --with-drivers=all --enable-static $(CONFIGURE_OPTIONS)
+	dh_auto_configure -- --with-drivers=all --enable-static $(CONFIGURE_OPTIONS)
 
 override_dh_auto_install:
 	LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
@@ -49,7 +39,7 @@
 	# No longer needed with current udev. But check with non-Linux architectures stuff:
 	# rm debian/libgphoto2-2/lib/udev/check-ptp-camera
 	# Generate the udev file, get it installed, and clean:
-	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/libgphoto2/2*` ./packaging/generic/print-camera-list udev-rules version 136 mode 0664 group plugdev > debian/libgphoto2-$(major).udev
+	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/2*` ./packaging/generic/print-camera-list udev-rules version 175 mode 0664 group plugdev > debian/libgphoto2-$(major).udev
 	dh_installudev
 	rm debian/libgphoto2-$(major).udev
 endif
@@ -58,8 +48,8 @@
 	dh_fixperms --exclude usbcam
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibgphoto2-$(major) -V 'libgphoto2-$(major) (>= $(SHLIBS))'
-	dh_makeshlibs -plibgphoto2-port0    -V 'libgphoto2-port0    (>= $(SHLIBS))'
+	dh_makeshlibs -plibgphoto2-$(major) -V 'libgphoto2-$(major) (>= $(SHLIBS))' -X/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/
+	dh_makeshlibs -plibgphoto2-port0    -V 'libgphoto2-port0    (>= $(SHLIBS))' -X/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2_port/
 
 override_dh_shlibdeps:
 	dh_shlibdeps -ldebian/libgphoto2-$(major)/usr/lib/:debian/libgphoto2-port0/usr/lib/
@@ -67,7 +57,7 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_gencontrol:
 	dh_gencontrol
-	dh_gencontrol -plibgphoto2-$(major) -- -Vudev-hotplug='udev (>= 0.136)'
+	dh_gencontrol -plibgphoto2-$(major) -- -Vudev-hotplug='udev (>= 0.175)'
 endif
 
 %:
