## libgphoto2 2.4.14

=== debian/changelog ===
libgphoto2 (2.4.14-2) unstable; urgency=low

  * Fix installation paths for libgphoto2-2-dev, so that they also
    work on Hurd, thanks to Pino Toscano (Closes: #670049)

 -- David Paleino <dapal@debian.org>  Sun, 22 Apr 2012 19:07:07 +0200

libgphoto2 (2.4.14-1) unstable; urgency=low

  * New upstream release
  * Patches refreshed:
    - dropped 00-format_security.patch, 01-support_udev_175.patch
      and 02-fix_source_typos.patch -- merged upstream

 -- David Paleino <dapal@debian.org>  Wed, 18 Apr 2012 17:45:07 +0200

libgphoto2 (2.4.13-2) unstable; urgency=low

  * Drop dependency on adduser, thanks to Miguel Colon for noticing
    (Closes: #661525)

 -- David Paleino <dapal@debian.org>  Mon, 27 Feb 2012 22:07:32 +0100
