=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libgphoto2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Frederic Peters <fpeters@debian.org>
  , David Paleino <dapal@debian.org>
  , Gürkan Sengün <gurkan@phys.ethz.ch>
@@ -82,7 +81,6 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
- , adduser
 Recommends: ${udev-hotplug}
  , libgphoto2-l10n (>= ${source:Version})
 Suggests: gphoto2 (>= 2.1.1)
