## libgphoto2 2.5.2

=== debian/changelog ===
libgphoto2 (2.5.2-0ubuntu5) saucy; urgency=low

  * Drop transitional libgphoto2-2 package and just mark libgphoto2-6 as
    replacing libgphoto2-2 for the print-camera-list program.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Aug 2013 06:59:13 +0200

libgphoto2 (2.5.2-0ubuntu4) saucy; urgency=low

  * Well, at least there shouldn't be any file conflicts.  Move the docs
    into the right directory for libgphoto2-port10.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Aug 2013 15:34:41 -0700

libgphoto2 (2.5.2-0ubuntu3) saucy; urgency=low

  * Fix wrong conflicts/replaces/provides on libgphoto2port: the new package
    has a different soname and none of the same files, so it doesn't provide
    the same interface as the old version in any meaningful sense and
    shouldn't declare a conflict.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Aug 2013 10:14:09 -0700

libgphoto2 (2.5.2-0ubuntu2) saucy; urgency=low

  * Make the transitional libgphoto2-2 package M-A: same, like the actual
    library. (LP: #1206973)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 01 Aug 2013 17:59:48 +0200

libgphoto2 (2.5.2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Drop 01-increase_max_entries.patch, 02-libusbx_no_debug.patch,
    03-libusbx-fixes.patch: fixed upstream.
  * Add libxml2-dev build dependency for new optional features.
  * ABI changes: libgphoto2-2 → libgphoto2-6,
    libgphoto2-port0 → libgphoto2-port10
  * debian/libgphoto2-dev-doc.install: Adjust to changed HTML API doc folder
    name.
  * debian/libgphoto2-port10.install: Adjust for changed libgphoto-port ABI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 31 Jul 2013 07:00:09 +0200

libgphoto2 (2.4.14-2.3ubuntu2) saucy; urgency=low

  * Add 03-libusbx-fixes.patch: Backport libusbx code from current upstream
    version. Thanks Marcus Meissner! (LP: #1206204)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 31 Jul 2013 08:30:06 +0200

libgphoto2 (2.4.14-2.3ubuntu1) saucy; urgency=low

  * Add 02-libusbx_no_debug.patch: Disable libusbx debugging messages by
    default. They can be turned back on with $LIBUSB_DEBUG if necessary.
    (LP: #1206104, Closes: #718258)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Jul 2013 14:54:17 +0200

libgphoto2 (2.4.14-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * libgphoto2-2-dev: Really build-depend on libusb-1.0-0-dev.

 -- Markus Koschany <apo@gambaru.de>  Thu, 25 Jul 2013 23:26:31 +0200

libgphoto2 (2.4.14-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add kFreeBSD-ENODATA.patch and fix FTBFS on kfreeBSD architectures.
  * Bump Standards-Version to 3.9.4, no changes.
  * Use canonical Vcs-URI.
  * Build-depend on debhelper >= 9.
  * Build with autotools-dev to fix outdated config.guess and config.sub files.

 -- Markus Koschany <apo@gambaru.de>  Thu, 25 Jul 2013 08:15:42 +0200

libgphoto2 (2.4.14-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to libusb-1.0. (Closes: #714441)

 -- Markus Koschany <apo@gambaru.de>  Mon, 22 Jul 2013 17:41:15 +0200
