=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: libgphoto2
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Frederic Peters <fpeters@debian.org>
  , David Paleino <dapal@debian.org>
  , Gürkan Sengün <gurkan@phys.ethz.ch>
 Build-Depends:
- debhelper (>= 8.1.3~)
+ debhelper (>= 9)
+ , autotools-dev,
  , libtool
  , libltdl-dev
  , zlib1g-dev
- , libusb-dev (>= 1:0.1.5) [!hurd-i386]
+ , libusb-1.0-0-dev [!hurd-i386]
  , libgpmg1-dev [linux-any]
  , pkg-config
  , libexif-dev (>= 0.5.9)
@@ -19,22 +21,25 @@
  , graphviz
  , libdbus-1-dev
  , libgd2-xpm-dev
+ , libxml2-dev
 Build-Conflicts: liblockdev1-dev
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=pkg-phototools/libgphoto2.git
-Vcs-Git: git://git.debian.org/git/pkg-phototools/libgphoto2.git
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/libgphoto2.git
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/libgphoto2.git
 Homepage: http://www.gphoto.org/proj/libgphoto2/
 
-Package: libgphoto2-2-dev
+Package: libgphoto2-6-dev
 Section: libdevel
 Architecture: any
 Depends:
- libgphoto2-2 (= ${binary:Version})
+ libgphoto2-6 (= ${binary:Version})
  , libexif-dev
- , libusb-dev [!hurd-i386]
+ , libusb-1.0-0-dev [!hurd-i386]
  , libc-dev
  , pkg-config
  , ${misc:Depends}
+Conflicts: libgphoto2-2-dev
+Replaces: libgphoto2-2-dev
 Description: gphoto2 digital camera library (development files)
  The gphoto2 library can be used by applications to access various
  digital camera models, via standard protocols such as USB Mass Storage
@@ -54,12 +59,9 @@
  .
  This package contains the development documentation.
 
-Package: libgphoto2-port0
+Package: libgphoto2-port10
 Architecture: any
 Multi-Arch: same
-Provides: libgphoto2port
-Replaces: libgphoto2port
-Conflicts: libgphoto2port
 Breaks: gphoto2 (<= 2.1.1)
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
@@ -73,7 +75,7 @@
  .
  This package contains the runtime code for port access.
 
-Package: libgphoto2-2
+Package: libgphoto2-6
 Architecture: any
 Multi-Arch: same
 Breaks: gphoto2 (<= 2.1.1)
@@ -83,6 +85,7 @@
  , ${misc:Depends}
 Recommends: ${udev-hotplug}
  , libgphoto2-l10n (>= ${source:Version})
+Replaces: libgphoto2-2
 Suggests: gphoto2 (>= 2.1.1)
 Description: gphoto2 digital camera library
  The gphoto2 library can be used by applications to access various
