=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
 
 ### This version at least shares the same ABI, used in the dh_makeshlibs calls:
-SHLIBS=2.4.3
-major=2
+SHLIBS=2.5.2
+major=6
 
 ### Architecture handling:
+CONFIGURE_OPTIONS += --without-libusb
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
-  CONFIGURE_OPTIONS += --without-libusb
+  CONFIGURE_OPTIONS += --without-libusb-1.0
 endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -27,12 +28,12 @@
 	rm debian/tmp/usr/include/gphoto2/gphoto2
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install --list-missing -X.la
 	# Double-check that and act accordingly:
 	-test -e debian/tmp/usr/lib/udev/check-mtp-device && \
-		mkdir -p debian/libgphoto2-port0/lib/udev && \
+		mkdir -p debian/libgphoto2-port10/lib/udev && \
 		mv debian/tmp/usr/lib/udev/check-mtp-device \
-			debian/libgphoto2-port0/lib/udev/check-mtp-device
+			debian/libgphoto2-port10/lib/udev/check-mtp-device
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 override_dh_installudev:
@@ -49,10 +50,10 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibgphoto2-$(major) -V 'libgphoto2-$(major) (>= $(SHLIBS))' -X/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/
-	dh_makeshlibs -plibgphoto2-port0    -V 'libgphoto2-port0    (>= $(SHLIBS))' -X/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2_port/
+	dh_makeshlibs -plibgphoto2-port10    -V 'libgphoto2-port10    (>= $(SHLIBS))' -X/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2_port/
 
 override_dh_shlibdeps:
-	dh_shlibdeps -ldebian/libgphoto2-$(major)/usr/lib/:debian/libgphoto2-port0/usr/lib/
+	dh_shlibdeps -ldebian/libgphoto2-$(major)/usr/lib/:debian/libgphoto2-port10/usr/lib/
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_gencontrol:
@@ -61,4 +62,4 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
