## libgphoto2 2.5.3.1

=== debian/changelog ===
libgphoto2 (2.5.3.1-1ubuntu2) trusty; urgency=medium

  * Re-introduce building with dh-autoreconf instead of just autotools_dev to
    use latest libtool. Fixes ppc64el build failure.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Feb 2014 08:45:42 +0100

libgphoto2 (2.5.3.1-1ubuntu1) trusty; urgency=medium

  * Sync with Debian unstable; all our previous Ubuntu changes got adopted or
    are obsolete.
  * debian/rules: Stop installing the udev rules; it's redundant with the
    (much more efficient) hwdb file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Feb 2014 08:29:01 +0100

libgphoto2 (2.5.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Install hwdb file and bump recommended udev version to 201

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Feb 2014 23:39:51 +0100

libgphoto2 (2.5.2-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Jan 2014 20:05:20 +0100

libgphoto2 (2.5.2-1) experimental; urgency=low

  * Team upload
  * New upstream release (Closes: #708855)
    - Adjust build-dependencies
    - Bump the soname of both libgphoto2 and libgphoto2_port
  * Drop debian/patches/01-increase_max_entries.patch: Fixed upstream
  * Drop debian/libgphoto2-dev.lintian-overrides: not needed anymore
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/rules: Pass -X.la to dh_install
  * debian/copyright: Fix copyright file (Closes: #592559)
  * debian/control: Remove C/P/R libgphoto2port on libgphoto2-port10 package
  * debian/libgphoto2-6.install: Do not install print-camera-list, this is not
    needed for normal operation and breaks co-instability
  * debian/control: Create a libgphoto2-2-dev transitional package to ease the
    transition
  * debian/control: Drop libgphoto2-dev dependency against libc-dev to please
    lintian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jan 2014 11:48:38 +0100

libgphoto2 (2.4.14-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Remove libusb-1.0-0-dev from libgphot2-2-dev Depends. It is no longer
    needed to be there since 2.4.12. (Closes: #717914, #729545)

 -- Modestas Vainius <modax@debian.org>  Wed, 20 Nov 2013 00:46:39 +0200
