=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , Gürkan Sengün <gurkan@phys.ethz.ch>
 Build-Depends:
  debhelper (>= 9)
- , autotools-dev,
+ , dh-autoreconf
  , libtool
  , libltdl-dev
  , zlib1g-dev
@@ -23,23 +23,21 @@
  , libgd2-xpm-dev
  , libxml2-dev
 Build-Conflicts: liblockdev1-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/libgphoto2.git
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/libgphoto2.git
 Homepage: http://www.gphoto.org/proj/libgphoto2/
 
-Package: libgphoto2-6-dev
+Package: libgphoto2-dev
 Section: libdevel
 Architecture: any
 Depends:
  libgphoto2-6 (= ${binary:Version})
  , libexif-dev
- , libusb-1.0-0-dev [!hurd-i386]
- , libc-dev
  , pkg-config
  , ${misc:Depends}
-Conflicts: libgphoto2-2-dev
-Replaces: libgphoto2-2-dev
+Breaks: libgphoto2-2-dev (<< 2.5.2-1~)
+Replaces: libgphoto2-2-dev (<< 2.5.2-1~)
 Description: gphoto2 digital camera library (development files)
  The gphoto2 library can be used by applications to access various
  digital camera models, via standard protocols such as USB Mass Storage
@@ -85,7 +83,6 @@
  , ${misc:Depends}
 Recommends: ${udev-hotplug}
  , libgphoto2-l10n (>= ${source:Version})
-Replaces: libgphoto2-2
 Suggests: gphoto2 (>= 2.1.1)
 Description: gphoto2 digital camera library
  The gphoto2 library can be used by applications to access various
@@ -110,3 +107,17 @@
  and PTP, or vendor-specific protocols.
  .
  This package contains the localized messages for the library.
+
+Package: libgphoto2-2-dev
+Section: oldlibs
+Priority: extra
+Architecture: any
+Depends:
+ libgphoto2-dev (= ${binary:Version})
+ , ${misc:Depends}
+Description: gphoto2 digital camera library (transitional package)
+ The gphoto2 library can be used by applications to access various
+ digital camera models, via standard protocols such as USB Mass Storage
+ and PTP, or vendor-specific protocols.
+ .
+ This package is a transitional package and can be safely be removed.
