=== debian/rules ===
--- 
+++ 
@@ -39,10 +39,9 @@
 override_dh_installudev:
 	# No longer needed with current udev. But check with non-Linux architectures stuff:
 	# rm debian/libgphoto2-2/lib/udev/check-ptp-camera
-	# Generate the udev file, get it installed, and clean:
-	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/2*` ./packaging/generic/print-camera-list udev-rules version 175 mode 0664 group plugdev > debian/libgphoto2-$(major).udev
-	dh_installudev
-	rm debian/libgphoto2-$(major).udev
+	# Generate the hwdb file
+	mkdir -p debian/libgphoto2-$(major)/lib/udev/hwdb.d/
+	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/2*` ./packaging/generic/print-camera-list hwdb > debian/libgphoto2-$(major)/lib/udev/hwdb.d/20-libgphoto2-$(major).hwdb
 endif
 
 override_dh_fixperms:
@@ -58,8 +57,8 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_gencontrol:
 	dh_gencontrol
-	dh_gencontrol -plibgphoto2-$(major) -- -Vudev-hotplug='udev (>= 0.175)'
+	dh_gencontrol -plibgphoto2-$(major) -- -Vudev-hotplug='udev (>= 201)'
 endif
 
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
