## libgphoto2 2.5.4

=== debian/changelog ===
libgphoto2 (2.5.4-1.1ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules: Drop usb udev rules, they are redundant with the hwdb
      file. (Debian #738522)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 04 Nov 2014 09:14:31 +0100

libgphoto2 (2.5.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on ppc64el by using autoreconf. Closes: #759274

 -- Andreas Barth <aba@ayous.org>  Mon, 25 Aug 2014 19:48:24 +0000

libgphoto2 (2.5.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Apr 2014 12:04:35 +0200
