=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , Gürkan Sengün <gurkan@phys.ethz.ch>
 Build-Depends:
  debhelper (>= 9)
- , dh-autoreconf
+ , dh-autoreconf,
  , libtool
  , libltdl-dev
  , zlib1g-dev
