=== debian/rules ===
--- 
+++ 
@@ -39,9 +39,13 @@
 override_dh_installudev:
 	# No longer needed with current udev. But check with non-Linux architectures stuff:
 	# rm debian/libgphoto2-2/lib/udev/check-ptp-camera
-	# Generate the hwdb file
+	# Generate the udev file, get it installed, and clean; but ignore the
+	# USB matches, they are redundant with libgphoto2-6.hwdb
+	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/2*` ./packaging/generic/print-camera-list udev-rules version 175 mode 0664 group plugdev | grep -v ^ATTRS > debian/libgphoto2-$(major).udev
 	mkdir -p debian/libgphoto2-$(major)/lib/udev/hwdb.d/
 	CAMLIBS=`ls -d debian/libgphoto2-$(major)/usr/lib/$(DEB_HOST_MULTIARCH)/libgphoto2/2*` ./packaging/generic/print-camera-list hwdb > debian/libgphoto2-$(major)/lib/udev/hwdb.d/20-libgphoto2-$(major).hwdb
+	dh_installudev
+	rm debian/libgphoto2-$(major).udev
 endif
 
 override_dh_fixperms:
